List profiles
GET
/api/v1/profiles
const url = 'https://example.com/api/v1/profiles?projectId=00000000-0000-0000-0000-000000000000';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/profiles?projectId=00000000-0000-0000-0000-000000000000'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” workerType
string
projectId
required
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
string
Project scope. Required on scoped list and root-create operations; requests without a resolvable project are rejected with 400. There is no default project.
Responses
Section titled “ Responses ”Success
Media type application/json
Array<object>
object
_id
required
string
name
required
string
description
string
latestVersion
required
number
createdAt
required
string | null format: date-time
updatedAt
string | null format: date-time
deletedAt
string | null format: date-time
version
required
object
_id
required
string
profileId
required
string
version
required
number
workerType
required
string
model
required
string
reasoningEffort
string
agentVersion
string
mcpServers
Array<string>
skillRevisions
Array<string>
extensions
Array<string>
createdAt
required
string | null format: date-time
projectId
required
string
projectId
required
string